# inky-lovelace

A python script for fetching a [Lovelace dashboard](https://www.home-assistant.io/dashboards/) from [HomeAssistant](https://www.home-assistant.io/) on micropython on an [Inky Frame](https://learn.pimoroni.com/article/getting-started-with-inky-frame).

## Example

Here's what it looks like

![](example-inky.png)

## Installing

If you want to use it, follow the [getting started guidance at Pimoroni](https://learn.pimoroni.com/article/getting-started-with-inky-frame). Clone this repo, and save `inky-lovelace.py` as `main.py` on your Inky Frame.

## Known Bugs

* I'm still not sure how time zones work on the Inky Frame
* It's not working correctly for me when on battery, despite working fine on USB...

# Background Notes

These are all web sites, videos, and references I used when putting it together.

## Micropython

- [Inky Frame micropython from Pimoroni](https://github.com/pimoroni/pimoroni-pico/tree/main/micropython/examples/inky_frame)
- I pulled the SD card code from [image_gallery_sd.py](https://github.com/pimoroni/pimoroni-pico/blob/main/micropython/examples/inky_frame/image_gallery/image_gallery_sd.py)
- I pulled the Wifi connection code from [RTC Clock Demo](https://github.com/pimoroni/pimoroni-pico/blob/main/micropython/examples/inky_frame/inky_frame_rtc_demo.py)
- I couldn't find any examples or documentation for how to use [pngdec](https://github.com/pimoroni/pimoroni-pico/tree/main/micropython/modules/pngdec), which is the library for decoding and displaying PNG images. Luckily, it works a lot like [jpegdec](https://github.com/pimoroni/pimoroni-pico/tree/main/micropython/modules/jpegdec) and so I used the same APIs and it worked.

## Home Assistant

* [HACS](https://hacs.xyz/): extra customisation framework that basically all Home Assistant users should have
* [Kiosk Mode](https://github.com/maykar/kiosk-mode): installs a "kiosk" mode of a Lovelace dashboard that hides the menu bars and stuff. Perfect for this application.

## Hass Screen Saver Kindle

- The [main repository](https://github.com/sibbl/hass-lovelace-kindle-screensaver/tree/main)
- [Puppeteer time zone](https://dev.to/sonyarianto/practical-puppeteer-how-to-emulate-timezone-8d5)